{% import _self as menus %}

{#
We call a macro which calls itself to render the full tree.
@see http://twig.sensiolabs.org/doc/tags/macro.html
#}

<div class="col-3 mx-0 border-top border-left border-dark">
  {{ menus.menu_links(items, attributes, 0) }}
</div>

{% macro menu_links(items, attributes, menu_level) %}
  {% import _self as menus %}
  {% if items %}
    <ul{{ attributes.addClass('list-group') }}>

    {% for item in items %}
      <li{{ item.attributes.addClass('list-group-item') }}>
        {{ link(item.title, item.url) }}
        {% if item.below %}
          {{ menus.menu_links(item.below, attributes.addClass('dex__link'), menu_level + 1) }}
        {% endif %}
      </li>
    {% endfor %}

    </ul>
  {% endif %}
{% endmacro %}
